local Sushi = LibStub('Sushi-2.0')
local Heading, old = Sushi:NewWidgetClass('Heading', {
	frameType = 'Frame',
	insets = {top = 12, bottom = 3, left = 12, right = 12},
	version = 1,
})

if not Heading then
	return
end

function Heading:UpdateFont()
	local font
	if not self:IsDisabled() then
		font = 'Normal'
	else
		font = 'Disable'
	end
	if not self:IsSmall() then
		font = font ..'Large'
	end
	
	self.Text:SetFontObject('GameFont' .. font)
	self:UpdateHeight()
end

if not old then
	Sushi:GetClass('Description'):Embed(Heading, 'UpdateFont')
else
	Heading:UpdateEmbeds()
end